#!/usr/bin/python

import RPi.GPIO as GPIO
import os
import time

# Raspi Board Pin Nummern verwenden
GPIO.setmode(GPIO.BOARD)

# Warnungen ausschalten
GPIO.setwarnings(False)

# set pins as input
GPIO.setup(32, GPIO.IN) # Blitz klein
GPIO.setup(38, GPIO.IN) # Blitz mittel
GPIO.setup(36, GPIO.IN) # Blitz gross

# Abfrage vom Status der Pin's
if GPIO.input(32):
    blitztext = "*** Warnstufe 1 *** 40-20 Km entfernt"
else:
	if GPIO.input(38):
	    blitztext = "Warnstufe 2  20-10 Km entfernt"
	else:
		if GPIO.input(36):
		    blitztext = "Warnstufe 3  10-00 Km entfernt"
		else:
			    blitztext = "Kein Gewitter im Nahbereich"   
print blitztext

GPIO.cleanup() # und sauber wieder raus
